rke是否支持arm64环境安装k8s?

如题,我用rke在x86环境下安装k8s集群没有问题。最近测试arm64环境,发现rke有arm64版。但是使用arm64版的rke安装k8s失败。提示没有相关镜像。

Warning Failed 23m (x4 over 24m) kubelet Failed to pull image “rancher/mirrored-calico-cni:v3.17.2”: rpc error: code = Unknown desc = no matching manifest for linux/arm64/v8 in the manifest list entries

请问arm64环境下安装k8s是不是rke不支持?需要用k3s?

已邀请:

rancher创建的自定义集群,其实就是通过rke创建的,rancher和rke都支持创建arm的集群。
参考:https://rancher.com/docs/rancher/v2.x/en/installation/resources/advanced/arm64-platform/


目前arm下只支持 flannel ,不支持 calico

要回复问题请先登录注册